POMODORO_CURSES(1)

NAME
pomodoro_curses - an ncurses Pomodoro timer

SYNOPSIS
pomodoro_curses [OPTION...]

DESCRIPTION
pomodoro_curses is an ncurses-based Pomodoro timer that supports arbitrarily long work and rest sessions.

NOTE: all duration-related arguments MUST be given in minutes.

OPTIONS

-a, --alert-type TYPE
    Specify the type of alert to use. Choose 'beep' or 'flash'. Default is flash.

-b, --short-break-length short_break
    Specify the length of breaks between work sessions in the same set. Default is 5.

-c, --config-file config
    Specify the path to the config file to use.

-d  Dump to standard output values from a config file and exit. By default, dumps the default config file. Can be combined with -c config to dump a custom config instead.

-h, --help
    Show help message and exit.

-n, --num-sets num_sets
    Specify the number of sets to do. Default is 1.

-p, --pomodoros-per-set sessions_per_set
    Specify the number of work sessions in a set. Default is 3.

-s, --session-length session_length
    Specify the length of a single work session. Default is 25.

-B, --long-break-length long_break
    Specify the length of a long break between sets. Default is 30.

NOTES
By default, pomodoro_curses does one pomodoro set consisting of three reps of work-(short rest). At the end comes a long rest. Thus, the total time is 3*(25+5) + 30 = 3*30 + 30 = 120 minutes = 2 hours.